#include <iostream>
#include <memory>
int main(){
    using namespace std;
    struct X{
        X(int const& x){cout<<"X is constructing: "<<x<<'\n';}
        ~X(){cout<<"X is dead\n";}
    };
    struct T{
        T():t{1}{};
        int t;
    };

    auto b = make_unique<X>(1);
    int t{5};
    while(t--){
        T t;
        cout<<t.t<<'\n';
    }
    cout<<"retrun 0;\n";
    return 0;
}